# print-nanny-client
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.0.0
- Package version: 0.4.1
- Build package: org.openapitools.codegen.languages.PythonLegacyClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import print_nanny_client
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import print_nanny_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function

import time
import print_nanny_client
from print_nanny_client.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = print_nanny_client.Configuration(
    host = "http://localhost"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: cookieAuth
configuration.api_key['cookieAuth'] = 'YOUR_API_KEY'

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['cookieAuth'] = 'Bearer'

# Configure Bearer authorization (Bearer): tokenAuth
configuration = print_nanny_client.Configuration(
    access_token = 'YOUR_BEARER_TOKEN'
)


# Enter a context with an instance of the API client
with print_nanny_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = print_nanny_client.AlertSettingsApi(api_client)
    
    try:
        api_response = api_instance.alert_settings_alert_methods_retrieve()
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling AlertSettingsApi->alert_settings_alert_methods_retrieve: %s\n" % e)
    
```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AlertSettingsApi* | [**alert_settings_alert_methods_retrieve**](docs/AlertSettingsApi.md#alert_settings_alert_methods_retrieve) | **GET** /api/alert_settings/alert_methods/ | 
*AlertSettingsApi* | [**alert_settings_list**](docs/AlertSettingsApi.md#alert_settings_list) | **GET** /api/alert_settings/ | 
*AlertSettingsApi* | [**alert_settings_partial_update**](docs/AlertSettingsApi.md#alert_settings_partial_update) | **PATCH** /api/alert_settings/{id}/ | 
*AlertSettingsApi* | [**alert_settings_retrieve**](docs/AlertSettingsApi.md#alert_settings_retrieve) | **GET** /api/alert_settings/{id}/ | 
*AlertSettingsApi* | [**alert_settings_update**](docs/AlertSettingsApi.md#alert_settings_update) | **PUT** /api/alert_settings/{id}/ | 
*AlertsApi* | [**alerts_dismiss**](docs/AlertsApi.md#alerts_dismiss) | **PATCH** /api/alerts/dismiss/ | 
*AlertsApi* | [**alerts_list**](docs/AlertsApi.md#alerts_list) | **GET** /api/alerts/ | 
*AlertsApi* | [**alerts_partial_update**](docs/AlertsApi.md#alerts_partial_update) | **PATCH** /api/alerts/{id}/ | 
*AlertsApi* | [**alerts_recent_retrieve**](docs/AlertsApi.md#alerts_recent_retrieve) | **GET** /api/alerts/recent/ | 
*AlertsApi* | [**alerts_retrieve**](docs/AlertsApi.md#alerts_retrieve) | **GET** /api/alerts/{id}/ | 
*AlertsApi* | [**alerts_seen**](docs/AlertsApi.md#alerts_seen) | **PATCH** /api/alerts/seen/ | 
*AlertsApi* | [**alerts_unread_retrieve**](docs/AlertsApi.md#alerts_unread_retrieve) | **GET** /api/alerts/unread/ | 
*AlertsApi* | [**alerts_update**](docs/AlertsApi.md#alerts_update) | **PUT** /api/alerts/{id}/ | 
*AuthTokenApi* | [**auth_token_create**](docs/AuthTokenApi.md#auth_token_create) | **POST** /api/auth-token/ | 
*EventsApi* | [**octoprint_events_create**](docs/EventsApi.md#octoprint_events_create) | **POST** /api/octoprint-events/ | 
*EventsApi* | [**octoprint_events_list**](docs/EventsApi.md#octoprint_events_list) | **GET** /api/octoprint-events/ | 
*EventsApi* | [**octoprint_events_retrieve**](docs/EventsApi.md#octoprint_events_retrieve) | **GET** /api/octoprint-events/{id}/ | 
*EventsApi* | [**octoprint_events_telemetry_retrieve**](docs/EventsApi.md#octoprint_events_telemetry_retrieve) | **GET** /api/octoprint-events/tracking/ | 
*RemoteControlApi* | [**commands_list**](docs/RemoteControlApi.md#commands_list) | **GET** /api/commands/ | 
*RemoteControlApi* | [**commands_partial_update**](docs/RemoteControlApi.md#commands_partial_update) | **PATCH** /api/commands/{id}/ | 
*RemoteControlApi* | [**commands_retrieve**](docs/RemoteControlApi.md#commands_retrieve) | **GET** /api/commands/{id}/ | 
*RemoteControlApi* | [**commands_update**](docs/RemoteControlApi.md#commands_update) | **PUT** /api/commands/{id}/ | 
*RemoteControlApi* | [**gcode_files_create**](docs/RemoteControlApi.md#gcode_files_create) | **POST** /api/gcode-files/ | 
*RemoteControlApi* | [**gcode_files_list**](docs/RemoteControlApi.md#gcode_files_list) | **GET** /api/gcode-files/ | 
*RemoteControlApi* | [**gcode_files_partial_update**](docs/RemoteControlApi.md#gcode_files_partial_update) | **PATCH** /api/gcode-files/{id}/ | 
*RemoteControlApi* | [**gcode_files_retrieve**](docs/RemoteControlApi.md#gcode_files_retrieve) | **GET** /api/gcode-files/{id}/ | 
*RemoteControlApi* | [**gcode_files_update**](docs/RemoteControlApi.md#gcode_files_update) | **PUT** /api/gcode-files/{id}/ | 
*RemoteControlApi* | [**gcode_files_update_or_create**](docs/RemoteControlApi.md#gcode_files_update_or_create) | **POST** /api/gcode-files/update_or_create/ | 
*RemoteControlApi* | [**octoprint_devices_create**](docs/RemoteControlApi.md#octoprint_devices_create) | **POST** /api/octoprint-devices/ | 
*RemoteControlApi* | [**octoprint_devices_list**](docs/RemoteControlApi.md#octoprint_devices_list) | **GET** /api/octoprint-devices/ | 
*RemoteControlApi* | [**octoprint_devices_partial_update**](docs/RemoteControlApi.md#octoprint_devices_partial_update) | **PATCH** /api/octoprint-devices/{id}/ | 
*RemoteControlApi* | [**octoprint_devices_retrieve**](docs/RemoteControlApi.md#octoprint_devices_retrieve) | **GET** /api/octoprint-devices/{id}/ | 
*RemoteControlApi* | [**octoprint_devices_update**](docs/RemoteControlApi.md#octoprint_devices_update) | **PUT** /api/octoprint-devices/{id}/ | 
*RemoteControlApi* | [**octoprint_devices_update_or_create**](docs/RemoteControlApi.md#octoprint_devices_update_or_create) | **POST** /api/octoprint-devices/update_or_create/ | 
*RemoteControlApi* | [**print_jobs_create**](docs/RemoteControlApi.md#print_jobs_create) | **POST** /api/print-jobs/ | 
*RemoteControlApi* | [**print_jobs_list**](docs/RemoteControlApi.md#print_jobs_list) | **GET** /api/print-jobs/ | 
*RemoteControlApi* | [**print_jobs_partial_update**](docs/RemoteControlApi.md#print_jobs_partial_update) | **PATCH** /api/print-jobs/{id}/ | 
*RemoteControlApi* | [**print_jobs_retrieve**](docs/RemoteControlApi.md#print_jobs_retrieve) | **GET** /api/print-jobs/{id}/ | 
*RemoteControlApi* | [**print_jobs_update**](docs/RemoteControlApi.md#print_jobs_update) | **PUT** /api/print-jobs/{id}/ | 
*RemoteControlApi* | [**printer_profiles_create**](docs/RemoteControlApi.md#printer_profiles_create) | **POST** /api/printer-profiles/ | 
*RemoteControlApi* | [**printer_profiles_list**](docs/RemoteControlApi.md#printer_profiles_list) | **GET** /api/printer-profiles/ | 
*RemoteControlApi* | [**printer_profiles_partial_update**](docs/RemoteControlApi.md#printer_profiles_partial_update) | **PATCH** /api/printer-profiles/{id}/ | 
*RemoteControlApi* | [**printer_profiles_retrieve**](docs/RemoteControlApi.md#printer_profiles_retrieve) | **GET** /api/printer-profiles/{id}/ | 
*RemoteControlApi* | [**printer_profiles_update**](docs/RemoteControlApi.md#printer_profiles_update) | **PUT** /api/printer-profiles/{id}/ | 
*RemoteControlApi* | [**printer_profiles_update_or_create**](docs/RemoteControlApi.md#printer_profiles_update_or_create) | **POST** /api/printer-profiles/update_or_create/ | 
*RemoteControlApi* | [**snapshots_create**](docs/RemoteControlApi.md#snapshots_create) | **POST** /api/snapshots/ | 
*RemoteControlApi* | [**snapshots_list**](docs/RemoteControlApi.md#snapshots_list) | **GET** /api/snapshots/ | 
*RemoteControlApi* | [**snapshots_partial_update**](docs/RemoteControlApi.md#snapshots_partial_update) | **PATCH** /api/snapshots/{id}/ | 
*RemoteControlApi* | [**snapshots_retrieve**](docs/RemoteControlApi.md#snapshots_retrieve) | **GET** /api/snapshots/{id}/ | 
*RemoteControlApi* | [**snapshots_update**](docs/RemoteControlApi.md#snapshots_update) | **PUT** /api/snapshots/{id}/ | 
*RemoteControlApi* | [**valid_commands_retrieve**](docs/RemoteControlApi.md#valid_commands_retrieve) | **GET** /api/commands/valid/ | 
*SchemaApi* | [**schema_retrieve**](docs/SchemaApi.md#schema_retrieve) | **GET** /api/schema/ | 
*UsersApi* | [**users_list**](docs/UsersApi.md#users_list) | **GET** /api/users/ | 
*UsersApi* | [**users_me_retrieve**](docs/UsersApi.md#users_me_retrieve) | **GET** /api/users/me/ | 
*UsersApi* | [**users_partial_update**](docs/UsersApi.md#users_partial_update) | **PATCH** /api/users/{id}/ | 
*UsersApi* | [**users_retrieve**](docs/UsersApi.md#users_retrieve) | **GET** /api/users/{id}/ | 
*UsersApi* | [**users_update**](docs/UsersApi.md#users_update) | **PUT** /api/users/{id}/ | 


## Documentation For Models

 - [Alert](docs/Alert.md)
 - [AlertBulkResponse](docs/AlertBulkResponse.md)
 - [AlertMethod](docs/AlertMethod.md)
 - [AlertMethodEnum](docs/AlertMethodEnum.md)
 - [AlertPolymorphic](docs/AlertPolymorphic.md)
 - [AlertPolymorphicRequest](docs/AlertPolymorphicRequest.md)
 - [AlertRequest](docs/AlertRequest.md)
 - [AlertSettings](docs/AlertSettings.md)
 - [AlertSettingsPolymorphic](docs/AlertSettingsPolymorphic.md)
 - [AlertSettingsPolymorphicRequest](docs/AlertSettingsPolymorphicRequest.md)
 - [AlertSettingsRequest](docs/AlertSettingsRequest.md)
 - [AlertSubtypeEnum](docs/AlertSubtypeEnum.md)
 - [AlertTypeEnum](docs/AlertTypeEnum.md)
 - [AuthToken](docs/AuthToken.md)
 - [AuthTokenRequest](docs/AuthTokenRequest.md)
 - [CommandAlertSettings](docs/CommandAlertSettings.md)
 - [CommandAlertSettingsRequest](docs/CommandAlertSettingsRequest.md)
 - [CommandEnum](docs/CommandEnum.md)
 - [DefectAlert](docs/DefectAlert.md)
 - [DefectAlertRequest](docs/DefectAlertRequest.md)
 - [DefectAlertSettings](docs/DefectAlertSettings.md)
 - [DefectAlertSettingsRequest](docs/DefectAlertSettingsRequest.md)
 - [EventTypeEnum](docs/EventTypeEnum.md)
 - [GcodeFile](docs/GcodeFile.md)
 - [GcodeFileRequest](docs/GcodeFileRequest.md)
 - [LastStatusEnum](docs/LastStatusEnum.md)
 - [ManualVideoUploadAlert](docs/ManualVideoUploadAlert.md)
 - [ManualVideoUploadAlertRequest](docs/ManualVideoUploadAlertRequest.md)
 - [OctoPrintDevice](docs/OctoPrintDevice.md)
 - [OctoPrintDeviceKey](docs/OctoPrintDeviceKey.md)
 - [OctoPrintDeviceKeyRequest](docs/OctoPrintDeviceKeyRequest.md)
 - [OctoPrintEvent](docs/OctoPrintEvent.md)
 - [OctoPrintEventRequest](docs/OctoPrintEventRequest.md)
 - [PaginatedAlertPolymorphicList](docs/PaginatedAlertPolymorphicList.md)
 - [PaginatedAlertSettingsPolymorphicList](docs/PaginatedAlertSettingsPolymorphicList.md)
 - [PaginatedGcodeFileList](docs/PaginatedGcodeFileList.md)
 - [PaginatedOctoPrintDeviceKeyList](docs/PaginatedOctoPrintDeviceKeyList.md)
 - [PaginatedOctoPrintEventList](docs/PaginatedOctoPrintEventList.md)
 - [PaginatedPrintJobList](docs/PaginatedPrintJobList.md)
 - [PaginatedPrinterProfileList](docs/PaginatedPrinterProfileList.md)
 - [PaginatedRemoteControlCommandList](docs/PaginatedRemoteControlCommandList.md)
 - [PaginatedRemoteControlSnapshotList](docs/PaginatedRemoteControlSnapshotList.md)
 - [PaginatedUserList](docs/PaginatedUserList.md)
 - [PatchedAlertBulkRequestRequest](docs/PatchedAlertBulkRequestRequest.md)
 - [PatchedAlertPolymorphicRequest](docs/PatchedAlertPolymorphicRequest.md)
 - [PatchedAlertRequest](docs/PatchedAlertRequest.md)
 - [PatchedAlertSettingsPolymorphicRequest](docs/PatchedAlertSettingsPolymorphicRequest.md)
 - [PatchedAlertSettingsRequest](docs/PatchedAlertSettingsRequest.md)
 - [PatchedCommandAlertSettingsRequest](docs/PatchedCommandAlertSettingsRequest.md)
 - [PatchedDefectAlertRequest](docs/PatchedDefectAlertRequest.md)
 - [PatchedDefectAlertSettingsRequest](docs/PatchedDefectAlertSettingsRequest.md)
 - [PatchedGcodeFileRequest](docs/PatchedGcodeFileRequest.md)
 - [PatchedManualVideoUploadAlertRequest](docs/PatchedManualVideoUploadAlertRequest.md)
 - [PatchedOctoPrintDeviceKeyRequest](docs/PatchedOctoPrintDeviceKeyRequest.md)
 - [PatchedPrintJobRequest](docs/PatchedPrintJobRequest.md)
 - [PatchedPrinterProfileRequest](docs/PatchedPrinterProfileRequest.md)
 - [PatchedProgressAlertRequest](docs/PatchedProgressAlertRequest.md)
 - [PatchedProgressAlertSettingsRequest](docs/PatchedProgressAlertSettingsRequest.md)
 - [PatchedRemoteControlCommandAlertRequest](docs/PatchedRemoteControlCommandAlertRequest.md)
 - [PatchedRemoteControlCommandRequest](docs/PatchedRemoteControlCommandRequest.md)
 - [PatchedRemoteControlSnapshotRequest](docs/PatchedRemoteControlSnapshotRequest.md)
 - [PatchedUserRequest](docs/PatchedUserRequest.md)
 - [PrintJob](docs/PrintJob.md)
 - [PrintJobRequest](docs/PrintJobRequest.md)
 - [PrinterProfile](docs/PrinterProfile.md)
 - [PrinterProfileRequest](docs/PrinterProfileRequest.md)
 - [ProgressAlert](docs/ProgressAlert.md)
 - [ProgressAlertRequest](docs/ProgressAlertRequest.md)
 - [ProgressAlertSettings](docs/ProgressAlertSettings.md)
 - [ProgressAlertSettingsRequest](docs/ProgressAlertSettingsRequest.md)
 - [RemoteControlCommand](docs/RemoteControlCommand.md)
 - [RemoteControlCommandAlert](docs/RemoteControlCommandAlert.md)
 - [RemoteControlCommandAlertRequest](docs/RemoteControlCommandAlertRequest.md)
 - [RemoteControlCommandRequest](docs/RemoteControlCommandRequest.md)
 - [RemoteControlSnapshot](docs/RemoteControlSnapshot.md)
 - [RemoteControlSnapshotRequest](docs/RemoteControlSnapshotRequest.md)
 - [User](docs/User.md)
 - [UserRequest](docs/UserRequest.md)


## Documentation For Authorization


## cookieAuth

- **Type**: API key
- **API key parameter name**: Session
- **Location**: 


## tokenAuth

- **Type**: Bearer authentication (Bearer)


## Author

leigh@bitsy.ai


